Create File-Based Application
Creates an application using a flat file using a REST API.
Required Roles
Service Administrator
REST Resource
POST /epm/rest/{api_version}/fileApplications/{application}
Note:
Before using the REST resources, you must understand how to access the REST resources and other important concepts. See Implementation Best Practices for Cloud EPM REST APIs. Using this REST API requires prerequisites. See Prerequisites.
Request
Supported Media Types: application/json
The following table summarizes the client request.
Table 10-9 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
api_version |
Version of the API you are developing with | Path | Yes | None |
application |
Name of the application to create | Path | Yes | None |
description |
User comment for this application | Payload | Yes | None |
ruleDimensionName |
Rule dimension name | Payload | Yes | None |
balanceDimensionName |
Balance dimension name | Payload | Yes | None |
Example URL and Payload
https://<BASE-URL>/epm/rest/v1/fileApplications/BksML12
{"description": "description","ruleDimensionName":"Rule","balanceDimensionName":"Balance"}
Response
Supported Media Types: application/json
Table 10-10 Parameters
| Name | Description |
|---|---|
details |
Task ID, such as BksML12_BksML12_LoadData_D20160118T051020_ba8_1 |
status |
See Migration Status Codes |
statusMessage |
Message about the status, such as Success |
type |
Profitability |
data |
Parameters as key value pairs |
links |
Detailed information about the link |
href |
Links to API call |
action |
The HTTP call type |
rel |
Relationship type |
data |
Parameters as key value pairs passed in the request |
Example of Response Body
The following shows an example of the response body in JSON format.
{
"type":"Profitability",
"status":-1,
"statusMessage":"In Progress",
"details":"BksML30_UpdateDimensions_D20220513T062046_c61",
"links":[
{
"href":"https://<<BASE-URL>/epm/rest/v1/applications/jobs/ChecktaskStatusJob/BksML30_UpdateDimensions_D20220513T062046_c61",
"action":"GET",
"rel":"Job Status"
}
]
}